// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UK2Node_VariableGet.h"
#include "SCW_UK2Node_Variable.h"

class UK2Node_VariableGet;

namespace Sourcify
{
	class SCW_UK2Node_VariableGet : public SCW_UK2Node_Variable, public virtual ISCW_UK2Node_VariableGet
	{
	public:
		SCW_UK2Node_VariableGet(UK2Node_VariableGet* InK2Node_VariableGet);

		UK2Node_VariableGet* ToUK2Node_VariableGet() const;

		ISCW_UK2Node_VariableGetPtr ToUK2Node_VariableGetPtr() override;
		ISCW_UK2Node_VariableGetConstPtr ToUK2Node_VariableGetPtr() const override;

	protected:
		UK2Node_VariableGet* K2Node_VariableGet;
	};
} // namespace Sourcify